Skip to main content
GET
/
api
/
v1
/
renewal_decisions
Get renewal decisions
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/renewal_decisions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/renewal_decisions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/renewal_decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "offset": 0,
    "page_num": 1,
    "page_size": 20,
    "total_records": 1
  },
  "response": [
    {
      "body": {
        "carriers": [
          {
            "carrier_id": "bf81f0c4-3105-4240-b62b-aa6de3f607e4",
            "lines_of_coverage": {
              "dental": {
                "open_enrollment_end_date": "2022-01-31",
                "open_enrollment_start_date": "2022-01-01",
                "plans": [
                  {
                    "name": "Dental Plus Plan"
                  }
                ]
              },
              "medical": {
                "open_enrollment_end_date": "2022-01-31",
                "open_enrollment_start_date": "2022-01-01",
                "plans": [
                  {
                    "plan_id": "818e52d4-6c34-4914-b716-a3047c85e468"
                  },
                  {
                    "plan_id": "f9897240-87f8-4d9d-a68f-58bc445fe0b2"
                  },
                  {
                    "name": "Select Plus PPO HDHP Bronze BRJJ /C38"
                  }
                ]
              }
            }
          }
        ]
      },
      "created": 1557862286,
      "group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
      "id": "b5f2b5f7-0336-45f7-baf1-7e11dfac50a6",
      "issues": [
        {
          "level": "error",
          "message": "Life open enrollment start date is 2021-08-01 in carrier system"
        },
        {
          "level": "error",
          "message": "LTD Plan not available yet in carrier system"
        }
      ],
      "modified": 1557862286,
      "renewal_date": "2022-01-01",
      "status": "not_ready",
      "version": "23be0ba3-1183-4e8e-8e9d-644527414c6e"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

group_name
string<string>

Group name to filter by, exact match

Example:

"Company Inc"

status
string<string>

Status to filter by, exact match

Example:

"ready"

start_date
string<date>

Filter request by renewal date starting from date provided

Example:

"Mon, 01 Jan 2024 00:00:00 GMT"

end_date
string<date>

Filter request by renewal date up to date provided

Example:

"Mon, 01 Jan 2024 00:00:00 GMT"

Response

200 - application/json

Successful Response - Returns the found renewal decisions.

meta
object
required

Metadata associated with the response data

response
object[]
required

List of renewal decisions